# NOTE: for 1.x versions see DEVEL branch; it's not compatible with 0.x, and (according to web site) still work in progress.
Summary:	Native makefiles generator
Summary(pl.UTF-8):	Generator natywnych plików typu Makefile
Name:		bakefile
Version:	0.2.12
Release:	1
License:	MIT
Group:		Development/Building
#SourceDownload: https://github.com/vslavik/bakefile/releases
Source0:	https://github.com/vslavik/bakefile/releases/download/v%{version}.1/%{name}-%{version}.tar.gz
# Source0-md5:	a735ce2c1ca1b86adbcb2fdb06ade802
Patch0:		%{name}-empy.patch
URL:		http://bakefile.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libtool
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
Requires:	empy >= 3.1
Requires:	python-libxml2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bakefile is cross-platform, cross-compiler native makefiles generator.
It takes compiler-independent description of build tasks as input and
generate native makefile (autoconf's Makefile.in, Visual C++ project,
bcc makefile etc.).

%description -l pl.UTF-8
Bakefile to generator natywnych plików typu Makefile dla wielu
platform i kompilatorów. Przyjmuje na wejściu niezależny od
kompilatora opis zadań budowania i tworzy natywny plik (Makefile.in
dla autoconfa, projekt dla Visual C++, makefile dla bcc itd.).

%prep
%setup -q
%patch0 -p1

%{__sed} -E -i -e '1s,#!\s*/usr/bin/env\s+python(\s|$),#!%{__python}\1,' \
	src/bakefile.py \
	src/bakefile_gen.py

%build
%{__libtoolize}
%{__aclocal} -I admin
%{__autoconf}
%{__automake}
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# use system available modules
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/%{name}/{empy,py25modules}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
find $RPM_BUILD_ROOT%{_libdir}/%{name} -name '*.py' | grep -E -v '/bakefile(_gen)?\.py' | xargs %{__rm}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README THANKS doc/html
%attr(755,root,root) %{_bindir}/bakefile
%attr(755,root,root) %{_bindir}/bakefile_gen
%attr(755,root,root) %{_bindir}/bakefilize
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.py[co]
%attr(755,root,root) %{_libdir}/%{name}/_bkl_c.so
%attr(755,root,root) %{_libdir}/%{name}/bakefile.py
%attr(755,root,root) %{_libdir}/%{name}/bakefile_gen.py
%{_aclocaldir}/bakefile*.m4
%{_mandir}/man1/bakefile.1*
%{_mandir}/man1/bakefile_gen.1*
%{_mandir}/man1/bakefilize.1*
%changelog
* Fri Sep 22 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bakefile.git;a=log;h=master

* Fri Sep 22 2023 Jan Rękorajski <baggins@pld-linux.org> 1321a17
- up to 0.2.12

* Sun Jul 22 2018 Jakub Bogusz <qboosh@pld-linux.org> c8aa666
- updated to 0.2.11
- removed obsolete versioncompare patch

* Sat Apr 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 418c430
- added versioncompare patch (to fix 0.2.10 >= 0.2.9 comparision)
- release 2

* Fri Apr 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 0f6ee7a
- 1.x version note

* Fri Apr 07 2017 Jakub Bogusz <qboosh@pld-linux.org> a4c4f82
- new URLs, updated to 0.2.10 (latest release from legacy 0.2.x line)

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 99641d2
- x32 rebuild
- release 3 (by relup.sh)

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> 60ffde7
- fix format string warning
- rel 2

* Tue Jun 28 2011 lisu <lisu@pld-linux.org> 1288bba
- TODO is done

* Sat Jun 04 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d19c0a
- rel 1

* Fri Feb 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 3de6f0d
- unpackaged files cleanup

* Fri Feb 04 2011 lisu <lisu@pld-linux.org> 4d25e92
- TODO

* Fri Feb 04 2011 lisu <lisu@pld-linux.org> 34bbd63
- updated to 0.2.9
- use __rm macro and drop obsolete one

* Mon Sep 13 2010 lisu <lisu@pld-linux.org> 1c352ae
- reverse

* Mon Sep 13 2010 lisu <lisu@pld-linux.org> 7506d4a
- do not use autotools for now (read TODO)

* Mon Oct 26 2009 lisu <lisu@pld-linux.org> b8e9d87
- 0.2.8

* Fri Oct 23 2009 lisu <lisu@pld-linux.org> 0995989
- up to 0.2.7
- adapterized

* Mon Jun 23 2008 Adam Gołębiowski <adamg@pld-linux.org> edecca0
- call libtoolize

* Fri Oct 12 2007 Paweł Sikora <pluto@pld-linux.org> 83772bf
- updated to 0.2.2, license/group updated.
  release 0.1 due to runtime errors.

* Sat Mar 24 2007 kolodko <kolodko@pld-linux.org> d67d9ec
- add BR: rpm-pythonprov

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f810b4d
- tabs in preamble

